org.omg.PortableServer

## Interface IdAssignmentPolicyOperations

All Superinterfaces:
  PolicyOperations

All Known Subinterfaces:
  IdAssignmentPolicy

    public interface IdAssignmentPolicyOperations
    extends PolicyOperations

IdAssignmentPolicy specifies whether Object Ids in the created POA are generated by the application or by the ORB. The default is SYSTEM_ID.

### Method Summary

Methods
`IdAssignmentPolicyValue` `value()` specifies the policy value

### Methods inherited from interface org.omg.CORBA.PolicyOperations

`copy, destroy, policy_type`

### Method Detail

#### value

    IdAssignmentPolicyValue value()

specifies the policy value

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.